# InstallType

enum InstallType : Enum < InstallType > (source)

Defines the installation types.

#### Since

2.0

## Entries

NO_INSTALL
Link copied to clipboard
NO_INSTALL
AUTO_INSTALL
Link copied to clipboard
AUTO_INSTALL
PROMOTE_INSTALL
Link copied to clipboard
PROMOTE_INSTALL

## Properties

name
Link copied to clipboard
val name : String
ordinal
Link copied to clipboard
val ordinal : Int
type
Link copied to clipboard
val type : String

## Functions

valueOf
Link copied to clipboard
fun valueOf (value: String ): InstallType

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

values
Link copied to clipboard
fun values (): Array < InstallType >

Returns an array containing the constants of this enum type, in the order they're declared.